// TectCFDlg.h : header file
//

#if !defined(AFX_TECTCFDLG_H__0E3761E9_9FF7_11DA_A715_9F4A35FCB627__INCLUDED_)
#define AFX_TECTCFDLG_H__0E3761E9_9FF7_11DA_A715_9F4A35FCB627__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTectCFDlg dialog

class CTectCFDlg : public CDialog
{
// Construction
public:
	CTectCFDlg(CWnd* pParent = NULL);	// standard constructor

	//~CTestCFDlg();


// Dialog Data
	//{{AFX_DATA(CTectCFDlg)
	enum { IDD = IDD_TECTCF_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTectCFDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTectCFDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	IStream* m_pStream;
	HRESULT LoadImageFromStream(IStream* pStream);
	IPicture* m_pPicture;
	HRESULT DrawImage(HDC hdc, const RECT& rc);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TECTCFDLG_H__0E3761E9_9FF7_11DA_A715_9F4A35FCB627__INCLUDED_)
